Argonne National Laboratory

Experimental Physics and
Industrial Control System

2012  2013  2014  <20152016  2017  Index 2012  2013  2014  <20152016  2017 
<== Date ==> <== Thread ==>

Subject: caQtDM w/QT5 gives ==> libGL error: failed to load driver: nouveau
From: "Williams Jr., Ernest L." <ernesto@slac.stanford.edu>
To: "anton.mezger@psi.ch" <anton.mezger@psi.ch>
Cc: "Shankar, Murali" <mshankar@slac.stanford.edu>, "qti-talk@aps.anl.gov" <qti-talk@aps.anl.gov>, "Babbitt, Alisha" <ababbitt@slac.stanford.edu>
Date: Thu, 19 Mar 2015 04:53:29 +0000
Hi Anton,

I have now moved unto using QT 5.4.1  and QWT 6.1.2

Things appear to work well.

However, looks like QT5 references an openGL 3D acceleration library.

So, upon startup we get an error.  Nevertheless, the caQtDM App launches and runs nicely.

***************************************************************************************************
libGL error: failed to authenticate magic 23
libGL error: failed to load driver: nouveau
***************************************************************************************************
I am running:  
Red Hat Enterprise Linux Workstation release 6.4 (Santiago)

[ernesto@icd-pc90626 caQtDM_Tests]$ /sbin/lspci |grep NVIDIA
03:00.0 VGA compatible controller: NVIDIA Corporation GF106GL [Quadro 2000] (rev a1)
03:00.1 Audio device: NVIDIA Corporation GF106 High Definition Audio Controller (rev a1)

[ernesto@icd-pc90626 sioc-b34-ev01]$ glxinfo | grep direct
libGL error: failed to authenticate magic 24
libGL error: failed to load driver: nouveau
direct rendering: Yes
=====================================================================
Have you seen the error below?

ernesto@icd-pc90626 caQtDM_Tests]$ startDM tests.ui &
[1] 32140
[ernesto@icd-pc90626 caQtDM_Tests]$ 
caQtDM must be in path and QT_PLUGIN_PATH must be defined correctly
stylesheets and ui files should be located in CAQTDM_DISPLAY_PATH where you will
save your ui files. You can copy them from caQTDM_Tests

see also caQtDM switches for options

caQtDM -- file <caQtDM_stylesheet.qss> loaded as the default application stylesheet
caQtDM -- file = <tests.ui>
caQtDM -- file <stylesheet.qss> replaced the default stylesheet
caQtDM -- viewer will disable monitors for hidden pages of QTabWidgets, in case of problems
          you may disable this by not defining IO_OPTIMIZED_FOR_TABWIDGETS in qtdefs.pri
caQtDM -- created shared memory
libGL error: failed to authenticate magic 23
libGL error: failed to load driver: nouveau
static QPixmap QPixmap::grabWindow(WId, int, int, int, int) is deprecated, use QScreen::grabWindow() instead. Defaulting to primary screen.


Cheers,
Ernest


Navigate by Date:
Prev: RE: EPICS CA Interface for caQtDM and epicsqt Williams Jr., Ernest L.
Next: RE: EPICS CA Interface for caQtDM and epicsqt Andrew Rhyder
Index: 2012  2013  2014  <20152016  2017 
Navigate by Thread:
Prev: RE: EPICS CA Interface for caQtDM and epicsqt Andrew Rhyder
Next: epicsqt and caQtDM Andrew Rhyder
Index: 2012  2013  2014  <20152016  2017 
ANJ, 16 Dec 2015 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·